Bug 256419 - graphics/imv: allow building on Wayland-only
Summary: graphics/imv: allow building on Wayland-only
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-06-04 18:41 UTC by Evgeniy Khramtsov
Modified: 2021-06-10 06:50 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (eduardo)


Attachments
patch (1.41 KB, patch)
2021-06-04 18:41 UTC, Evgeniy Khramtsov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Evgeniy Khramtsov 2021-06-04 18:41:28 UTC
Created attachment 225551 [details]
patch

imv can work on a system where libX11 is fully removed
and OpenGL is provided by libOpenGL instead of libGL[1].

Adjust USE_GL for imv to build in such environment.

[1]: https://github.com/eXeC64/imv/commit/
a70727b74c532ffb303023b3eb215310948b31

poudriere testport with libglvnd, X11=off and ALL: OK
make -V USE_GL overall sanity: OK

Rebased version is always available here:
https://codeberg.org/ei/ports/commits/branch/ei
Comment 2 Nuno Teixeira freebsd_committer 2021-06-08 09:55:23 UTC
Hello!

I've created a review in Phabricator, feel free to participate:

https://reviews.freebsd.org/D30694
Comment 3 commit-hook freebsd_committer 2021-06-10 06:49:16 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=689dca24f212dc55297c5d1bb7132b0c175bcfc2

commit 689dca24f212dc55297c5d1bb7132b0c175bcfc2
Author:     Evgeniy Khramtsov <evgeniy@khramtsov.org>
AuthorDate: 2021-06-10 06:46:30 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-06-10 06:46:30 +0000

    graphics/imv: allow building on Wayland-only

    imv can work on a system where libX11 is fully removed
    and OpenGL is provided by libOpenGL instead of libGL[1].

    USE_GL=gl implies lib-depends on libGL, which is built
    only when X11 symbols are available, which is not always
    the case.

    libglvnd provides libOpenGL which provides OpenGL
    symbols without X11 symbols.

    To satisfy poudriere testport, do USE_GL=egl because
    there is no libOpenGL handling in Mk/Uses/gl.mk currently.

    libEGL is supposed to always exist per pkg-plist of mesa-*.

    Adjust USE_GL for imv to build on global X11=off XCB=off XLIB=off.

    [1]: https://github.com/eXeC64/imv/commit/
    70a70727b74c532ffb303023b3eb215310948b31

    Rebased version is always available here:
    https://codeberg.org/ei/ports/commits/branch/ei

    PR:             256419
    Approved by:    dbaio, garga (mentors)
    Differential Revision:  https://reviews.freebsd.org/D30694

 graphics/imv/Makefile | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)
Comment 4 Nuno Teixeira freebsd_committer 2021-06-10 06:50:03 UTC
Committed thanks!